
Summary: Graphical tool for designing finite state machine
Name:    qfsm	
Version: 0.45
Release: alt1

License: GPL
Url:     http://qfsm.sourceforge.net/
Source:  http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
Group:   Education
Packager: Fr. Br. George <george@altlinux.ru>

Source1: %name.sh
#Source2: %name.desktop

#Patch1: %name-setFilePath.patch
#Patch2: %name-KSEG_HOME.patch

%define _appdir %_libdir/%name

# Automatically added by buildreq on Mon Oct 15 2007
BuildRequires: gcc-c++ imake libXt-devel libqt3-devel xorg-cf-files

%description
Qfsm is a graphical tool for designing finite state machine.
It is written in C++ using the Qt library. 
Features include:

- Drawing, Editing and Printing of states diagrams 
- Binary, ASCII or "free text" condition codes
- Multiple windows
- Integrity check
- Interactive simulation
- HDL export in the file formats: AHDL, VHDL, Verilog HDL, KISS
- Diagram export in the formats: EPS and SVG
- State table export in Latex, HTML or plain text format
- Ragel file export (used for C/C++, Java or Ruby code generation)

%prep
%setup
find . -name CVS -exec rm -rf {} \; || :
#patch1 -p1
#patch2 -p1

%build
PATH=$PATH:%_libdir/qt3/bin ./configure --prefix=%_libdir
PATH=$PATH:%_libdir/qt3/bin %make

%install
make install DESTDIR=%buildroot
rm -rf user
cp -a %buildroot%_appdir/doc/user .

mkdir -p %buildroot%_bindir
sed 's@_appdir@%_appdir@g' < %SOURCE1 > %buildroot%_bindir/%name
chmod +x %buildroot%_bindir/%name
install -p -D -m644 kde/%{name}_32.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png
install -p -D -m644 kde/%{name}_64.png %buildroot%_datadir/icons/hicolor/64x64/apps/%name.png
install -p -D -m644 kde/%{name}_ft.png %buildroot%_datadir/icons/hicolor/64x64/mimetypes/%name.png
# TODO .desktop file!

%files
%doc README TODO NEWS
%doc examples
%doc user
%exclude %_appdir/doc
%_appdir
%_bindir/%name
#%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/*/*


%changelog
* Mon Oct 15 2007 Fr. Br. George <george@altlinux.ru> 0.45-alt1
- Initial build for ALT

